Page MenuHomePhabricator

Figure out how to configure default arc diff behavior
Closed, InvalidPublic

Description

There does not seem to be any comprehensive documentation about what settings you can set in .arcconfig , and which of those affect how arc diff chooses which commits to submit in what way.

Features we want, at the very least:

  • Easy way to create multiple changes from a set of commits, rather than combining them all into one change
  • Create branches (e.g. wmf/*) with an .arcconfig that makes it so commits are automatically submitted to the right branch (it's not clear to me how to correctly submit commits for merging into non-master branches)

Details

Commits
Unknown Object (Diffusion Commit)
Reference
fl308

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:35 AM
flimport added a project: Gerrit-Migration.
flimport set Reference to fl308.
Qgil lowered the priority of this task from High to Normal.Oct 9 2014, 8:44 PM
Qgil lowered the priority of this task from Normal to Low.Oct 9 2014, 11:12 PM
Qgil added a comment.Oct 10 2014, 11:40 AM

This task is a bit odd. We should have tasks for features like the ones described above, and then perhaps solving those tasks implies configuring default arc diff behavior.

Are there more opinions about the features in the description? Anybody willing to create tasks for them?

epriestley closed this task as Resolved by committing Unknown Object (Diffusion Commit).Mar 4 2015, 8:19 AM
epriestley added a commit: Unknown Object (Diffusion Commit).
demon reopened this task as Open.Mar 4 2015, 8:40 AM
demon added a subscriber: demon.
mmodell closed this task as Invalid.May 26 2015, 10:27 PM
mmodell claimed this task.
mmodell added a subscriber: mmodell.

There is documentation about how to set up .arcconfig:

https://secure.phabricator.com/book/phabricator/article/arcanist_new_project/

Regarding the feature requests:

  1. There is no built-in way to create multiple revisions from a series of commits, but I don't quite understand why you would want to do that. At any rate it would be almost trivial to write a script that would loop through a series of commits and create a new differential revision for each commit in the series. I could write this up if there is really a demand for it.
  2. You don't need to configure the branches, arcanist is smart, it submits against the branch your code was based on. See https://secure.phabricator.com/book/phabricator/article/arcanist_commit_ranges/ for details about the various rules you can apply to configure which commits get submitted by arc diff.